classification
Title: test_constructor (test.test_ssl.ContextTests) ... Fatal Python error: Segmentation fault
Type: crash Stage: resolved
Components: Tests Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: sxt1001
Priority: normal Keywords:

Created on 2021-07-05 16:38 by sxt1001, last changed 2021-07-11 14:54 by sxt1001. This issue is now closed.

Messages (1)
msg397008 - (view) Author: tongxiaoge (sxt1001) Date: 2021-07-05 16:38
I have reproduced this problem in the latest versions of Python 3.8.10 and 3.9.6. Python 3.8.5 does not have this problem, other versions are not tested. The failure log is as follows´╝Ü
[  457s] 0:02:34 load avg: 9.29 Re-running test_ssl in verbose mode
[  457s] test_ssl: testing with 'OpenSSL 1.1.1f  31 Mar 2020' (1, 1, 1, 6, 15)
[  457s]           under 'Linux-4.19.36-vhulk1907.1.0.h748.eulerosv2r8.aarch64-aarch64-with-glibc2.17'
[  457s]           HAS_SNI = True
[  457s]           OP_ALL = 0x80000054
[  457s]           OP_NO_TLSv1_1 = 0x10000000
[  457s] test__create_stdlib_context (test.test_ssl.ContextTests) ... ok
[  457s] test_cert_store_stats (test.test_ssl.ContextTests) ... ok
[  457s] test_check_hostname (test.test_ssl.ContextTests) ... ok
[  457s] test_ciphers (test.test_ssl.ContextTests) ... ok
[  457s] test_constructor (test.test_ssl.ContextTests) ... Fatal Python error: Segmentation fault
[  457s] 
[  457s] Current thread 0x0000ffff8e225010 (most recent call first):
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/ssl.py", line 483 in __new__
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/test_ssl.py", line 1126 in test_constructor
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/case.py", line 650 in _callTestMethod
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/case.py", line 693 in run
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/case.py", line 753 in __call__
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/suite.py", line 122 in run
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/suite.py", line 84 in __call__
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/suite.py", line 122 in run
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/suite.py", line 84 in __call__
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/unittest/runner.py", line 176 in run
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/support/__init__.py", line 2030 in _run_suite
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/support/__init__.py", line 2152 in run_unittest
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/test_ssl.py", line 4848 in test_main
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/runtest.py", line 234 in _runtest_inner2
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/runtest.py", line 270 in _runtest_inner
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/runtest.py", line 153 in _runtest
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/runtest.py", line 193 in runtest
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/main.py", line 318 in rerun_failed_tests
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/main.py", line 694 in _main
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/main.py", line 637 in main
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/libregrtest/main.py", line 715 in main
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/regrtest.py", line 46 in _main
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/test/regrtest.py", line 50 in <module>
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/runpy.py", line 87 in _run_code
[  457s]   File "/home/abuild/rpmbuild/BUILD/Python-3.8.11/Lib/runpy.py", line 194 in _run_module_as_main
[  457s] /var/tmp/rpm-tmp.gGVNgB: line 50: 2329201 Segmentation fault      (core dumped) WITHIN_PYTHON_RPM_BUILD= LD_LIBRARY_PATH=$(pwd)/build/debug $(pwd)/build/debug/python -m test.regrtest -wW --slowest -j0 -x test_distutils -x test_bdist_rpm -x test_gdb -x test_socket -x test_asyncio
[  457s] error: Bad exit status from /var/tmp/rpm-tmp.gGVNgB (%check)
History
Date User Action Args
2021-07-11 14:54:32sxt1001setstatus: open -> closed
resolution: out of date
stage: resolved
2021-07-05 16:38:06sxt1001create